import { BroadcastChannel } from 'broadcast-channel';

declare class PortManager {
    _leader: MessagePort | undefined;
    _ports: MessagePort[];
    get leader(): MessagePort | undefined;
    set leader(port: MessagePort | undefined);
    addPort(port: MessagePort): void;
    removePort(port: MessagePort): void;
    channel: BroadcastChannel;
}
export declare const portManager: PortManager;
export {};
